Bug 808050 - SELinux is preventing /usr/libexec/accounts-daemon from 'search' accesses on the directory 766.
Summary: SELinux is preventing /usr/libexec/accounts-daemon from 'search' accesses on ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:90668d4cf8e6cabffb5822af0c1...
Keywords:
Depends On:
Blocks: F17Beta-accepted, F17BetaFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-03-29 12:45 UTC by Elad Alfassa
Modified: 2012-04-04 21:11 UTC (History)
19 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-04 21:11:01 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2012-03-29 12:45:57 UTC
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-5.fc17.x86_64
time:           Thu 29 Mar 2012 02:45:37 PM IST

description:
:SELinux is preventing /usr/libexec/accounts-daemon from 'search' accesses on the directory 766.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that accounts-daemon should be allowed search access on the 766 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep accounts-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:accountsd_t:s0
:Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Objects                766 [ dir ]
:Source                        accounts-daemon
:Source Path                   /usr/libexec/accounts-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           accountsservice-0.6.17-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-5.fc17.x86_64 #1 SMP Fri Mar
:                              23 20:10:36 UTC 2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Thu 29 Mar 2012 02:42:19 PM IST
:Last Seen                     Thu 29 Mar 2012 02:42:37 PM IST
:Local ID                      d9c026bb-36a2-493c-9f52-1b7ecf588af2
:
:Raw Audit Messages
:type=AVC msg=audit(1333024957.832:54): avc:  denied  { search } for  pid=621 comm="accounts-daemon" name="766" dev="proc" ino=17038 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=dir
:
:
:type=SYSCALL msg=audit(1333024957.832:54): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffa2bed360 a1=0 a2=30be7474b6 a3=11 items=0 ppid=1 pid=621 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=accounts-daemon exe=/usr/libexec/accounts-daemon subj=system_u:system_r:accountsd_t:s0 key=(null)
:
:Hash: accounts-daemon,accountsd_t,xdm_t,dir,search
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
:What is directory 766? I have no idea. Installed the gnome 3.4 rebuilds from koji (with the script Richard Hughes published on Google+ http://people.freedesktop.org/~hughsient/temp/fedora-get-gnome3-builds.sh).
:How can I help debug this further?

Comment 1 Daniel Walsh 2012-03-29 17:16:23 UTC
Fixed in selinux-policy-3.10.0-109.fc17

Comment 2 Adam Williamson 2012-04-02 19:31:10 UTC
As we accepted GNOME 3.4 as NTH, I'm also proposing this as NTH: without this fix, everyone will get an SELinux alert upon boot of Beta, which is obviously bad.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Tim Flink 2012-04-02 19:35:54 UTC
+1 NTH since we're pulling in Gnome 3.4 for F17 beta

Comment 4 Fedora Update System 2012-04-03 07:44:12 UTC
selinux-policy-3.10.0-110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-110.fc17

Comment 5 Adam Williamson 2012-04-04 05:30:31 UTC
accepted as NTH



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Fedora Update System 2012-04-04 21:11:01 UTC
selinux-policy-3.10.0-110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.